<?php 

	//Protection against unauthorized opening of this file. 
	if (basename($_SERVER['PHP_SELF']) == basename(__FILE__)) 
	header("Location: /"); 

?>
        <header class="py-5 bg-image-full" style="background-image: url('<?php echo $docroot_file; ?>/main_assets/img/black-mountain.jpg')">
            <div class="text-center my-5">
                <img class="img-fluid rounded-circle mb-4 box-shadow" style="filter: drop-shadow(0px 0px 2px #0dcaf0);" src="<?php echo $docroot_file; ?>/main_assets/img/php-logo.jpg" alt="...">
                <h1 class="text-black fs-3 fw-bolder text-shadow">CONTACT (SUBDOMAIN)</h1>
            </div>
        </header>
        <!-- Content section-->
        <section class="py-5">
            <div class="container my-5">
                <div class="row justify-content-center">
                    <div class="col-lg-8">
                        <h2 class="text-info">The standard Lorem Ipsum</h2>
                        <p class="lead">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                    </div>
                </div>
            </div>
        </section>
		<!-- Content section-->
		<section class="emailform bg-image-full pt-3 pb-5 section-box-shadow" id="emailsent" style="background-image: url('<?php echo $docroot_file;?>/main_assets/img/black-waves.jpg')">
		<div class="container mt-5 mb-0">
		<div class="row justify-content-center">
		<div class="col-lg-8">
		<br>
		<h2 class="display-header-kontakt text-center mb-5">EMAIL CONTACT US</h2>
		<form method="post" action="<?php echo htmlspecialchars($_POST['contact']);?>?scrollto=emailsent">
        <input name="security" type="hidden" value="secure">
        <div class="row">
            <div class="form-group col-md-6 mb-4">
                <label for="InputName">Your name <span class="req">*Mandatory field</span></label>
                <input name="name" type="text" class="form-control" id="InputName" required>
            </div>
            <div class="form-group col-md-6 mb-4">
                <label for="InputEmail">Your email address <span class="req">*Mandatory field</span></label>
                <input name="email" type="email" class="form-control" id="InputEmail" aria-describedby="emailHelp" required>
            </div>
        </div>
        <div class="form-group mb-3">
            <label for="TextareaMessage">Your message <span class="req">*Mandatory field</span></label>
            <textarea name="message" type="text" class="form-control" id="TextareaMessage" rows="6" required></textarea>
        </div>
        <div class="form-check ms-1 mb-4">
            <input type="hidden" name="optin" value="0">
            <input type="checkbox" id="opt-in" name="optin" value="1" class="form-check-input" required>
            <label for="opt-in" style="margin: -2px 0 0 6px;">
                <span>APPROVE NOTICE </span><span class="req">*Mandatory field</span>
            </label>
        </div>
        <?php
            error_reporting(0);
			if (isset($_POST['sendform']) && ($_POST['security'] == 'secure')) :
                if (!empty($_POST['email'])) :
                    if (!empty($_POST['optin'])) :

                        $name = nl2br(htmlspecialchars($_POST['name']));
                        $email = trim(htmlspecialchars($_POST['email']));
                        $message = nl2br(htmlspecialchars($_POST['message']));
						$message = wordwrap($message, 140, "<br />");

                        $formmail = 'info(a)example.com'; // <<< Insert your own email here

                        if (preg_match("/^[^0-9][_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$/", $email)) :

                            $subject = "Site - Your Website Name - contact form inquiry from: " . $name . "";
                            $message = "
                                <html>
                                <head>
                                <title>New inquiry.</title>
                                </head>
                                  <body>
                                    <p style=\"font-size: 16px;\"><strong>An inquiry from:</strong> " . $name . " </p>
                                    <p style=\"font-size: 16px;\"><strong>The e-mail address is:</strong> " . $email . " </p>
                                    <p style=\"font-size: 16px;\"><strong>Your query is:</strong> " . $message . " </p>
                                  </body>
                                </html>
                            ";

                            $userSubject = "Your inquiry to - Your Website Name - has been received.";
                            $userMessage = "
                                <html>
                                <head>
                                <title>Thank you for your inquiry to us.</title>
                                </head>
                                  <body>
                                    <p style=\"font-size: 16px;\">Thank you for your email inquiry to us.<br>You will receive an answer from us as soon as possible :)</p>
									<p style=\"font-size: 16px;\">Greetings from the webmaster \"Your Website Name\"</p>
                                  </body>
                                </html>
                            ";

                            $headers = "MIME-Version: 1.0" . "\r\n";
							$headers .= "Content-Transfer-Encoding: 8bit" . "\r\n";
                            $headers .= "Content-Type: text/html; charset=utf-8" . "\r\n";
                            $headers .= "From: " .$email. "\r\n";
							$headers .= "Reply-To: " .$email. "\r\n";
							$headers .= "Date: " .date("D, d M Y h:s:i"). " +0200" . "\r\n";
							$headers .= "X-Mailer: PHP/ " .phpversion(). "\r\n\r\n";

                            mail($email, $userSubject, $userMessage, $headers);

                            if(mail($formmail, $subject, $message , $headers)) :
                                echo '
                                    <div class="alert alert-success" role="alert">
                                        Your request has been sent!
                                    </div>
                                ';
                            else :
                                echo '
                                    <div class="alert alert-danger" role="alert">
                                        Your request was not sent!
                                    </div>
                                ';
                            endif;

                        else :
                            echo '
                                <div class="alert alert-danger" role="alert">
                                    Please enter a valid email address.
                                </div>
                            ';
                        endif;

                    else :
                        echo '
                            <div class="alert alert-danger" role="alert">
                                Have you read the privacy policy? So please confirm.
                            </div>
                        ';
                    endif;

                else :
                    echo '
                        <div class="alert alert-danger" role="alert">
                            Please enter an email address.
                        </div>
                    ';
                endif;
            endif;
        ?>
		<button type="submit" name="sendform" class="btn btn-dark mb-5">Send Email</button>
		</form>
		</div>
		</div>
		</div>
		</section>
        <!-- Content section-->
        <section class="py-5">
            <div class="container my-5">
                <div class="row justify-content-center">
                    <div class="col-lg-8">
                        <h2 class="text-info">The standard Lorem Ipsum</h2>
                        <p class="lead">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                    </div>
                </div>
            </div>
        </section>
