<?php

	//Protection against unauthorized opening of this file. 
	if (basename($_SERVER['PHP_SELF']) == basename(__FILE__)) 
	header("Location: /"); 

	// Change values for include folder, start page and 404 error page if necessary. 

	$arrFiles = array(); 

	if ($handle = opendir('./page_incs')) { // Set the include folder name for pages. 
		while (false !== ($entry = readdir($handle))) { 
			if ($entry != "." && $entry != ".." && $entry != "index.php") { 
				$arrFiles[] = basename($entry, ".php"); 
			} 
		} closedir($handle); 
	} 

	$getPages = ($arrFiles); 

	if (isset($_GET['page_incs']) && in_array($_GET['page_incs'], $getPages)) { 
		// Characters allowed are A-Z a-z 0-9, dash and underscore. 
		$page_inc = preg_replace('/[^A-Za-z0-9-_]/', '', $_GET['page_incs']); 

	} elseif (empty($_GET["page_incs"] == true) && in_array("intro", $getPages)) { 
		// Set the website start page root filename (e.g. "intro"). 
		$page_inc = "intro"; 

	} elseif (empty($_GET["page_incs"] == true) && !in_array("intro", $getPages)) { 
		// Set the website start page root filename (e.g. "intro"). 
		die("<h3>Wrong start page filename in the \"controller.php\" file.</h3>"); 

	} elseif (empty($_GET['page_incs'] == $getPages) && in_array("404", $getPages)) { 
		// Set the website 404 error page filename (e.g. "404"). 
		$page_inc = "404"; 

	} else { 
		die("<h3>Wrong 404 error page filename in the \"controller.php\" file.</h3>"); 
	} 

	// View array filenames in the sequential order in which they appear in the array.
	$array_view = implode(" => ", $getPages); 
	// echo "<h5>" . $array_view . "</h5>"; 
?>