<?php 

	// Protection against unauthorized opening of this file. 
	if (basename($_SERVER['PHP_SELF']) == basename(__FILE__)) 
	header("Location: /"); 

	// Edit to your own values below ----------------------------------------------------------------------------------------------------------------------- 

	$dir_attribute = "ltr"; // Setup to your HTML dir attribute - eg. "ltr|rtl|auto" 
	$language = "en"; // Setup to your own language - eg. "en-US|en-GB|de-DE|fr-FR" 
	$sitename = "My Website Name"; // Your company or website name 
	$website_editor = "Notepad++"; // Your website editor software 
	$author_name = "Webmaster"; // Your author webmaster name 

	$remote_domain = "subdomain.demo-phpbs5tpl-sm-v01.com"; // Your remote web address 
	$local_domain = "test.demo-phpbs5tpl-sm-v01.com"; // Your local web address 
	$develop_folder = "/subdomain"; // Your local develop folder name - e.g. "/subdomain"; 

	// Edit below only if necessary ------------------------------------------------------------------------------------------------------------------------ 

	$protocol = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on') || (isset($_SERVER['SERVER_PORT']) && (int) $_SERVER['SERVER_PORT'] === 443); 

	if (isset($_SERVER['SERVER_NAME']) && ($_SERVER['SERVER_NAME'] == $protocol) && ($_SERVER['SERVER_NAME'] == $remote_domain)) { 
		$setup_domain = "remote"; 
	} else if (isset($_SERVER['SERVER_NAME']) && ($_SERVER['SERVER_NAME'] == $local_domain)) { 
		$setup_domain = "local"; 
	} else if (is_null($setup_domain) === true) { 
    echo "<h3 style=\"color: red;\">This line is printed, because the domain: ".$remote_domain." - or domain: ".$local_domain." - is not correct set.</h3>"; 
	exit(); 
	} 

	switch ($setup_domain) { 
	case "remote"; 
		$docroot = getenv(__DIR__); 
		$docroot_file = getenv(__DIR__); 
	break; 
	case "local"; 
		$docroot = getenv(__DIR__) . $develop_folder; 
		$docroot_file = getenv(__DIR__) . $develop_folder; 
	break; 
	} 
?>